"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AliasesResponseDTO = exports.ItemAlias = exports.Alias = void 0;
const openapi = require("@nestjs/swagger");
const architecture_dto_1 = require("./architecture.dto");
const basicResponse_dto_1 = require("./basicResponse.dto");
class Alias {
    static _OPENAPI_METADATA_FACTORY() {
        return { item_id: { required: true, type: () => String }, alias: { required: true, type: () => String } };
    }
}
exports.Alias = Alias;
class ItemAlias extends architecture_dto_1.Item {
    static _OPENAPI_METADATA_FACTORY() {
        return { alias: { required: true, type: () => String } };
    }
}
exports.ItemAlias = ItemAlias;
class AliasesResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./alias.dto").ItemAlias] } };
    }
}
exports.AliasesResponseDTO = AliasesResponseDTO;
//# sourceMappingURL=alias.dto.js.map