"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatacoreDataDescription = exports.DatacorePropsOld = exports.DatacoreProps = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
const hostcfgData_types_1 = require("./hostcfgData.types");
class DatacoreProps extends deviceProps_1.ProtoRestDeviceProps {
    constructor() {
        super(...arguments);
        this.nodeHost = undefined;
        this.proxyHost = undefined;
    }
}
exports.DatacoreProps = DatacoreProps;
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], DatacoreProps.prototype, "nodeHost", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], DatacoreProps.prototype, "proxyHost", void 0);
class DatacorePropsOld extends deviceProps_1.OldRestDeviceProps {
}
exports.DatacorePropsOld = DatacorePropsOld;
exports.DatacoreDataDescription = {
    nodeHost: {
        required: true,
        type: "string",
    },
    proxyHost: {
        required: true,
        type: "string",
    },
    apiUsername: {
        required: true,
        type: "string",
    },
    apiPassword: {
        required: true,
        type: "string",
    },
    proto: {
        required: false,
        type: "string",
        default: "https",
        possibleValues: Object.keys(hostcfgData_types_1.PROTO).map(k => hostcfgData_types_1.PROTO[k])
    }
};
//# sourceMappingURL=datacore.data.js.map