import { AuthBaseProps, BaseDeviceProps, IHostcfgDataDescription, OldApiAuthDeviceProps } from "./deviceProps";
import { PROTO } from "./hostcfgData.types";
export declare enum SmiWbi {
    'SMI-S' = "SMI",
    'WBI API' = "WBI"
}
export declare class DothillProps extends BaseDeviceProps implements Omit<AuthBaseProps, "protocol" | "host" | "port"> {
    node1Host: string;
    node2Host: string;
    proto: PROTO;
    interface: string;
    username: string;
    password: string;
}
export declare class DothillOldProps extends OldApiAuthDeviceProps {
    host1: string;
    host2: string;
    radio: string;
}
export declare const DothillDataDescription: IHostcfgDataDescription;
