import { BaseDeviceProps, IHostcfgDataDescription, OldDeviceProps } from "./deviceProps";
export declare class GCloudCredentials {
    client_id: string;
    private_key: string;
    token_uri: string;
    client_email: string;
    client_x509_cert_url: string;
    private_key_id: string;
    type: string;
    auth_uri: string;
    auth_provider_x509_cert_url: string;
    project_id: string;
}
export declare class GcloudProps extends BaseDeviceProps {
    host: string;
    username: string;
    apiPort: string;
    credentials: GCloudCredentials[];
}
export declare class GcloudPropsOld extends OldDeviceProps {
    credentials: GCloudCredentials | GCloudCredentials[];
}
export declare const GcloudDataDescription: IHostcfgDataDescription;
