"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RaidixDataDescription = exports.RaidixPropsOld = exports.RaidixProps = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
class RaidixProps extends deviceProps_1.BaseDeviceProps {
    constructor() {
        super(...arguments);
        this.sshPassword = undefined;
        this.sshPort1 = undefined;
        this.sshPort2 = undefined;
        this.sshUser1 = undefined;
        this.sshUser2 = undefined;
        this.sshKeyId = undefined;
        this.host1 = undefined;
        this.host2 = undefined;
    }
}
exports.RaidixProps = RaidixProps;
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], RaidixProps.prototype, "sshPassword", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", Number)
], RaidixProps.prototype, "sshPort1", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", Number)
], RaidixProps.prototype, "sshPort2", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], RaidixProps.prototype, "sshUser1", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], RaidixProps.prototype, "sshUser2", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], RaidixProps.prototype, "sshKeyId", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], RaidixProps.prototype, "host1", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], RaidixProps.prototype, "host2", void 0);
class RaidixPropsOld extends deviceProps_1.OldDeviceProps {
}
exports.RaidixPropsOld = RaidixPropsOld;
exports.RaidixDataDescription = {
    sshPassword: {
        required: true,
        type: "string",
    },
    sshPort1: {
        required: true,
        type: "string",
    },
    sshPort2: {
        required: false,
        type: "string",
    },
    sshUser1: {
        required: true,
        type: "string",
    },
    sshUser2: {
        required: false,
        type: "string",
    },
    sshKeyId: {
        required: false,
        type: "string",
    },
    host1: {
        required: true,
        type: "string",
    },
    host2: {
        required: false,
        type: "string",
    },
    ...deviceProps_1.BaseDeviceDescription
};
//# sourceMappingURL=raidix.data.js.map