import { JOB_STATUS } from '@const/microserviceJob.constants';
import { BasicResponseDTO } from './basicResponse.dto';
export type JobStatus = typeof JOB_STATUS[keyof typeof JOB_STATUS];
export declare class MicroserviceJobDTO {
    microservice?: string;
    job: string;
    identification: string;
    start?: number;
    end?: number;
    status?: JobStatus;
    pid: number;
}
export declare class MicroserviceJobsResponseDTO extends BasicResponseDTO {
    data: MicroserviceJobDTO[];
}
