import { BasicResponseDTO } from "./basicResponse.dto";
export declare class PublicEndpointParam {
    key: string;
    type: string;
    description: string;
}
export declare class PublicEndpointBodyObject {
    key: string;
    type: string | PublicEndpointBodyObject;
    description?: string;
}
export declare class PublicEndpoint {
    label: string;
    url: string;
    params?: PublicEndpointParam[];
    body?: PublicEndpointBodyObject[];
}
export declare class ApiKey {
    apiKey: string;
    expiration: string;
}
export declare class PublicEndpointsResponseDTO extends BasicResponseDTO {
    data: PublicEndpoint[];
}
export declare class ApiKeyResponseDTO extends BasicResponseDTO {
    data: ApiKey;
}
