"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiKeyResponseDTO = exports.PublicEndpointsResponseDTO = exports.ApiKey = exports.PublicEndpoint = exports.PublicEndpointBodyObject = exports.PublicEndpointParam = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class PublicEndpointParam {
    static _OPENAPI_METADATA_FACTORY() {
        return { key: { required: true, type: () => String }, type: { required: true, type: () => String }, description: { required: true, type: () => String } };
    }
}
exports.PublicEndpointParam = PublicEndpointParam;
class PublicEndpointBodyObject {
    static _OPENAPI_METADATA_FACTORY() {
        return { key: { required: true, type: () => String }, type: { required: true, type: () => Object }, description: { required: false, type: () => String } };
    }
}
exports.PublicEndpointBodyObject = PublicEndpointBodyObject;
class PublicEndpoint {
    static _OPENAPI_METADATA_FACTORY() {
        return { label: { required: true, type: () => String }, url: { required: true, type: () => String }, params: { required: false, type: () => [require("./publicApi.dto").PublicEndpointParam] }, body: { required: false, type: () => [require("./publicApi.dto").PublicEndpointBodyObject] } };
    }
}
exports.PublicEndpoint = PublicEndpoint;
class ApiKey {
    static _OPENAPI_METADATA_FACTORY() {
        return { apiKey: { required: true, type: () => String }, expiration: { required: true, type: () => String } };
    }
}
exports.ApiKey = ApiKey;
class PublicEndpointsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./publicApi.dto").PublicEndpoint] } };
    }
}
exports.PublicEndpointsResponseDTO = PublicEndpointsResponseDTO;
class ApiKeyResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./publicApi.dto").ApiKey } };
    }
}
exports.ApiKeyResponseDTO = ApiKeyResponseDTO;
//# sourceMappingURL=publicApi.dto.js.map