"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PredictionResponseDTO = exports.TimeseriesResponseDTO = exports.TimeseriesDTO = exports.TimeseriesItem = exports.TimeseriesMetadata = exports.ItemParent = exports.PredictionModel = exports.PredictionDTO = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class PredictionDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { metadata: { required: true, type: () => ({ metric: { required: true, type: () => String }, item_id: { required: true, type: () => String }, command: { required: true, type: () => String }, frequency: { required: true, type: () => String } }) } };
    }
}
exports.PredictionDTO = PredictionDTO;
class PredictionModel {
    static _OPENAPI_METADATA_FACTORY() {
        return { metadata: { required: true, type: () => ({ label: { required: true, type: () => String }, start: { required: true, type: () => Number }, end: { required: true, type: () => Number }, interval: { required: true, type: () => Number }, display: { required: true, type: () => Boolean }, description: { required: false, type: () => String }, days_to_100_percent_fill: { required: false, type: () => Object }, days_to_90_percent_fill: { required: false, type: () => Object }, days_to_70_percent_fill: { required: false, type: () => Object }, slope: { required: false, type: () => Number }, std: { required: false, type: () => Number }, max_dif: { required: false, type: () => Number }, min_dif: { required: false, type: () => Number } }) }, timeseries: { required: true, type: () => [Number] } };
    }
}
exports.PredictionModel = PredictionModel;
class ItemParent {
    static _OPENAPI_METADATA_FACTORY() {
        return { label: { required: true, type: () => String }, url: { required: false, type: () => String } };
    }
}
exports.ItemParent = ItemParent;
class TimeseriesMetadata {
    static _OPENAPI_METADATA_FACTORY() {
        return { name: { required: true, type: () => String }, parent: { required: false, type: () => require("./timeseriesResponse.dto").ItemParent }, uuid: { required: false, type: () => String }, start: { required: false, type: () => Number }, end: { required: false, type: () => Number }, interval: { required: false, type: () => Number }, metric: { required: false, type: () => String }, avg: { required: false, type: () => Number }, max: { required: false, type: () => Number }, min: { required: false, type: () => Number }, url: { required: false, type: () => String }, description: { required: false, type: () => String } };
    }
}
exports.TimeseriesMetadata = TimeseriesMetadata;
class TimeseriesItem {
    constructor() {
        this.metadata = new TimeseriesMetadata();
    }
    static _OPENAPI_METADATA_FACTORY() {
        return { metadata: { required: true, type: () => Object, default: new TimeseriesMetadata() }, timeseries: { required: true, type: () => Object } };
    }
}
exports.TimeseriesItem = TimeseriesItem;
class TimeseriesDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { metadata: { required: true, type: () => ({ start: { required: true, type: () => Number }, end: { required: true, type: () => Number } }) } };
    }
}
exports.TimeseriesDTO = TimeseriesDTO;
class TimeseriesResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./timeseriesResponse.dto").TimeseriesDTO } };
    }
}
exports.TimeseriesResponseDTO = TimeseriesResponseDTO;
class PredictionResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./timeseriesResponse.dto").PredictionDTO } };
    }
}
exports.PredictionResponseDTO = PredictionResponseDTO;
//# sourceMappingURL=timeseriesResponse.dto.js.map