import { BasicResponseDTO } from './basicResponse.dto';
import { UserDTO } from './usersResponse.dto';
export interface TokenContent {
    username: string;
    email: string;
    timezone: string;
    configuration: any;
    isAdmin: boolean;
    iat?: number;
    groupLabels?: string[];
    exp?: number;
}
export declare class TokenDTO {
    state: 'success' | 'failed';
    token: string;
    user?: UserDTO;
}
export declare class TokenMetricsPortDTO extends TokenDTO {
    port: number;
}
export declare class TokenResponseDTO extends BasicResponseDTO {
    data: TokenDTO;
}
export declare class TokenResponseMetricsPort extends BasicResponseDTO {
    data: TokenMetricsPortDTO;
}
