"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Backend = exports.backendType = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
var backendType;
(function (backendType) {
    backendType["MASTER"] = "master";
    backendType["SLAVE"] = "slave";
})(backendType || (exports.backendType = backendType = {}));
let Backend = class Backend {
    static _OPENAPI_METADATA_FACTORY() {
        return { uuid: { required: true, type: () => String }, started: { required: true, type: () => Number }, echoed: { required: true, type: () => Number }, type: { required: true, enum: require("./backend.entity").backendType }, ip: { required: false, type: () => String }, version: { required: false, type: () => String } };
    }
};
exports.Backend = Backend;
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], Backend.prototype, "uuid", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], Backend.prototype, "started", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], Backend.prototype, "echoed", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'enum',
        enum: backendType,
        default: backendType.SLAVE,
    }),
    __metadata("design:type", String)
], Backend.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.Column)({
        nullable: true,
    }),
    __metadata("design:type", String)
], Backend.prototype, "ip", void 0);
__decorate([
    (0, typeorm_1.Column)({
        nullable: true,
    }),
    __metadata("design:type", String)
], Backend.prototype, "version", void 0);
exports.Backend = Backend = __decorate([
    (0, typeorm_1.Entity)({ name: 'backend', synchronize: false })
], Backend);
//# sourceMappingURL=backend.entity.js.map