import { ConsistencyGroup } from "./consistencyGroup.entity";
import { HealthStatusMirror } from "./healthStatusMirror.entity";
import { Severity } from "@xormon/common/constants/healthStatusMirror.constants";
export declare class HealthStatusMirrorRel {
    source_vol_id: string;
    source_hostcfg_id: string;
    target_vol_id: string;
    target_hostcfg_id?: string;
    system_name: string;
    remote_system_name: string;
    consistency_group_id?: string;
    consistency_group_label?: string;
    _sourceMirror?: HealthStatusMirror;
    _targetMirror?: HealthStatusMirror;
    _consistency_group?: ConsistencyGroup;
    type_state: string;
    severity: Severity;
    freeze_time?: number;
    progress?: number;
    readonly createdAt?: Date;
    updatedAt?: Date;
}
