"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MailGroup = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const user_entity_1 = require("./user.entity");
const customTask_entity_1 = require("./customTask.entity");
const deviceGroupHwAlerting_entity_1 = require("./deviceGroupHwAlerting.entity");
let MailGroup = class MailGroup {
    static _OPENAPI_METADATA_FACTORY() {
        return { mail_group_id: { required: true, type: () => Number }, label: { required: true, type: () => String }, mails: { required: true, type: () => Object }, user_id: { required: true, type: () => Number }, created_by: { required: false, type: () => require("./user.entity").User }, customTasks: { required: false, type: () => [require("./customTask.entity").CustomTask] }, hwEventDeviceGroups: { required: true, type: () => [require("./deviceGroupHwAlerting.entity").HwEventDeviceGroup], description: "@ManyToMany(() => HwEventDeviceGroup)\n\n    name: 'device_group_hw_alerting_mail_group',\n    inverseJoinColumn: {\n      name: 'device_group_id',\n      referencedColumnName: 'device_group_id',\n    },\n    joinColumn: {\n      name: 'mail_group_id',\n      referencedColumnName: 'mail_group_id',\n    },\n  })\n  hwEventDeviceGroups?: HwEventDeviceGroup[];" } };
    }
};
exports.MailGroup = MailGroup;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], MailGroup.prototype, "mail_group_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], MailGroup.prototype, "label", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'jsonb' }),
    __metadata("design:type", Object)
], MailGroup.prototype, "mails", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], MailGroup.prototype, "user_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.User, (user) => user.mailGroups, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'user_id' }),
    __metadata("design:type", user_entity_1.User)
], MailGroup.prototype, "created_by", void 0);
__decorate([
    (0, typeorm_1.ManyToMany)(() => customTask_entity_1.CustomTask, (customTask) => customTask.custom_task_id, { cascade: true, onDelete: 'CASCADE' }),
    __metadata("design:type", Array)
], MailGroup.prototype, "customTasks", void 0);
__decorate([
    (0, typeorm_1.ManyToMany)(() => deviceGroupHwAlerting_entity_1.HwEventDeviceGroup, (hwEventDeviceGroup) => hwEventDeviceGroup.mail_groups),
    __metadata("design:type", Array)
], MailGroup.prototype, "hwEventDeviceGroups", void 0);
exports.MailGroup = MailGroup = __decorate([
    (0, typeorm_1.Entity)({ name: 'mail_groups', synchronize: false })
], MailGroup);
//# sourceMappingURL=mailGroup.entity.js.map