"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._3parCache = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports._3parCache = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_3par_cache',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        r_cache_hit: {
            type: 'float4',
            nullable: true,
        },
        w_cache_hit: {
            type: 'float4',
            nullable: true,
        },
        cfc_dirty: {
            type: 'float4',
            nullable: true,
        },
        del_ack: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=3parCache.entity.js.map