"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.As400Shrpool = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.As400Shrpool = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_as400_shrpool',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        size: {
            type: 'float4',
            nullable: true,
        },
        threads: {
            type: 'float4',
            nullable: true,
        },
        database_pages: {
            type: 'float4',
            nullable: true,
        },
        non_database_pages: {
            type: 'float4',
            nullable: true,
        },
        database_faults: {
            type: 'float4',
            nullable: true,
        },
        non_database_faults: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=as400Shrpool.entity.js.map