"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatadomainMtree = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.DatadomainMtree = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_datadomain_mtree',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        read: {
            type: 'float4',
            nullable: true,
        },
        write: {
            type: 'float4',
            nullable: true,
        },
        data_rate: {
            type: 'float4',
            nullable: true,
        },
        metadata_capacity_total: {
            type: 'float4',
            nullable: true,
        },
        original_capacity_total: {
            type: 'float4',
            nullable: true,
        },
        gcomp_capacity_total: {
            type: 'float4',
            nullable: true,
        },
        lcomp_capacity_total: {
            type: 'float4',
            nullable: true,
        },
        capacity_total: {
            type: 'float4',
            nullable: true,
        },
        global_comp_factor: {
            type: 'float4',
            nullable: true,
        },
        local_comp_factor: {
            type: 'float4',
            nullable: true,
        },
        total_comp_factor: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=datadomainMtree.entity.js.map