"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EcsNode = void 0;
const openapi = require("@nestjs/swagger");
const Compose_1 = require("./Compose");
const columns = [
    'resp_t_r', 'resp_t_w', 'resp_t',
    'read', 'write', 'data_rate',
    'read_tps', 'write_tps', 'tps_rate', 'error_rate_tps',
    'network_rx', 'network_tx', 'network_rate',
    'cpu_system',
    'memory_used', 'memory_free', 'memory_used_percent',
    'network_util_rx', 'network_util_tx', 'network_util',
    'disk_read', 'disk_write', 'disk_data_rate',
    'disk_geo_read', 'disk_geo_write', 'disk_geo_data_rate',
    'disk_user_read', 'disk_user_write', 'disk_user_data_rate',
    'tmp0', 'tmp1', 'tmp2', 'tmp3', 'tmp4', 'tmp5', 'tmp6', 'tmp7',
    'tmp8', 'tmp9', 'tmp10', 'tmp11', 'tmp12', 'tmp13', 'tmp14', 'tmp15',
];
exports.EcsNode = (0, Compose_1.getEntitySchema)('ecs', 'node', columns);
//# sourceMappingURL=ecsNode.entity.js.map