"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OvirtDisk = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.OvirtDisk = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_ovirt_disk',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        disk_write: {
            type: 'float4',
            nullable: true,
        },
        disk_read: {
            type: 'float4',
            nullable: true,
        },
        disk_write_latency: {
            type: 'float4',
            nullable: true,
        },
        disk_read_latency: {
            type: 'float4',
            nullable: true,
        },
        disk_write_iops: {
            type: 'float4',
            nullable: true,
        },
        disk_read_iops: {
            type: 'float4',
            nullable: true,
        },
        size: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=ovirtDisk.entity.js.map