"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QnapRaidGroup = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.QnapRaidGroup = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_qnap_raid_group',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        data_rate: {
            type: 'float4',
            nullable: true,
        },
        io_rate: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=qnapRaidGroup.entity.js.map