"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SynologyDrive = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.SynologyDrive = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_synology_drive',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        read_io: {
            type: 'float4',
            nullable: true,
        },
        write_io: {
            type: 'float4',
            nullable: true,
        },
        io_rate: {
            type: 'float4',
            nullable: true,
        },
        read: {
            type: 'float4',
            nullable: true,
        },
        write: {
            type: 'float4',
            nullable: true,
        },
        data_rate: {
            type: 'float4',
            nullable: true,
        },
        util: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=synologyDrive.entity.js.map