"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SynologySystem = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.SynologySystem = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_synology_system',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        cpu_system: {
            type: 'float4',
            nullable: true,
        },
        cpu_user: {
            type: 'float4',
            nullable: true,
        },
        cpu_idle: {
            type: 'float4',
            nullable: true,
        },
        cpu_gpu_util_percent: {
            type: 'float4',
            nullable: true,
        },
        memory_used: {
            type: 'float4',
            nullable: true,
        },
        memory_buffer: {
            type: 'float4',
            nullable: true,
        },
        memory_cached: {
            type: 'float4',
            nullable: true,
        },
        memory_total: {
            type: 'float4',
            nullable: true,
        },
        memory_free: {
            type: 'float4',
            nullable: true,
        },
        memory_reserved: {
            type: 'float4',
            nullable: true,
        },
        memory_util_percent: {
            type: 'float4',
            nullable: true,
        },
        memory_gpu_util_percent: {
            type: 'float4',
            nullable: true,
        },
        memory_gpu_used: {
            type: 'float4',
            nullable: true,
        },
        memory_gpu_free: {
            type: 'float4',
            nullable: true,
        },
        memory_gpu_total: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=synologySystem.entity.js.map