"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VmwareEsxiVm = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.VmwareEsxiVm = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_vmware_esxi_vm',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        cpu_usage_proc: {
            type: 'float4',
            nullable: true,
        },
        start_or_vmotion: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=vmwareEsxiVm.entity.js.map