"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServerGroup = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const user_entity_1 = require("./user.entity");
const serverGroupItems_entity_1 = require("./serverGroupItems.entity");
let ServerGroup = class ServerGroup {
    static _OPENAPI_METADATA_FACTORY() {
        return { server_group_id: { required: true, type: () => String }, label: { required: true, type: () => String }, description: { required: true, type: () => String }, user_id: { required: true, type: () => Number }, created_by: { required: false, type: () => require("./user.entity").User }, server_group_items: { required: false, type: () => [require("./serverGroupItems.entity").ServerGroupItems] }, hw_type: { required: true, type: () => String }, class: { required: true, type: () => String } };
    }
};
exports.ServerGroup = ServerGroup;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    __metadata("design:type", String)
], ServerGroup.prototype, "server_group_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], ServerGroup.prototype, "label", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], ServerGroup.prototype, "description", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], ServerGroup.prototype, "user_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.User, (user) => user.created_server_groups, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'user_id' }),
    __metadata("design:type", user_entity_1.User)
], ServerGroup.prototype, "created_by", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => serverGroupItems_entity_1.ServerGroupItems, (serverGroupItems) => serverGroupItems._server_group),
    __metadata("design:type", Array)
], ServerGroup.prototype, "server_group_items", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: false }),
    __metadata("design:type", String)
], ServerGroup.prototype, "hw_type", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: false }),
    __metadata("design:type", String)
], ServerGroup.prototype, "class", void 0);
exports.ServerGroup = ServerGroup = __decorate([
    (0, typeorm_1.Entity)({ name: 'server_group', synchronize: false })
], ServerGroup);
//# sourceMappingURL=serverGroup.entity.js.map