"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StorageGroupDevice = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const objectItem_entity_1 = require("./objectItem.entity");
const storageGroup_entity_1 = require("./storageGroup.entity");
let StorageGroupDevice = class StorageGroupDevice {
    static _OPENAPI_METADATA_FACTORY() {
        return { _storage_group: { required: false, type: () => require("./objectItem.entity").ObjectItem }, storage_group_id: { required: true, type: () => String }, _item: { required: false, type: () => require("./objectItem.entity").ObjectItem }, item_id: { required: true, type: () => String }, createdAt: { required: false, type: () => Date } };
    }
};
exports.StorageGroupDevice = StorageGroupDevice;
__decorate([
    (0, typeorm_1.ManyToOne)(() => storageGroup_entity_1.StorageGroup, (storageGroup) => storageGroup.storage_group_devices, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'storage_group_id' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], StorageGroupDevice.prototype, "_storage_group", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], StorageGroupDevice.prototype, "storage_group_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem.storage_group_devices, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_id' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], StorageGroupDevice.prototype, "_item", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], StorageGroupDevice.prototype, "item_id", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ name: 'created_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], StorageGroupDevice.prototype, "createdAt", void 0);
exports.StorageGroupDevice = StorageGroupDevice = __decorate([
    (0, typeorm_1.Entity)({ name: 'storage_group_devices', synchronize: false })
], StorageGroupDevice);
//# sourceMappingURL=storageGroupDevice.entity.js.map