"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TargetDestinationHostcfg = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const hostcfg_entity_1 = require("./hostcfg.entity");
const targetDestination_entity_1 = require("./targetDestination.entity");
let TargetDestinationHostcfg = class TargetDestinationHostcfg {
    static _OPENAPI_METADATA_FACTORY() {
        return { _target_destination: { required: false, type: () => require("./targetDestination.entity").TargetDestination }, target_destination_id: { required: true, type: () => String }, _hostcfg: { required: false, type: () => require("./hostcfg.entity").HostCfg }, hostcfg_id: { required: true, type: () => String }, createdAt: { required: false, type: () => Date } };
    }
};
exports.TargetDestinationHostcfg = TargetDestinationHostcfg;
__decorate([
    (0, typeorm_1.ManyToOne)(() => targetDestination_entity_1.TargetDestination, (targetDestination) => targetDestination._target_destination_hostcfgs, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'target_destination_id' }),
    __metadata("design:type", targetDestination_entity_1.TargetDestination)
], TargetDestinationHostcfg.prototype, "_target_destination", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], TargetDestinationHostcfg.prototype, "target_destination_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => hostcfg_entity_1.HostCfg, (hostCfg) => hostCfg.destinations, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'hostcfg_id' }),
    __metadata("design:type", hostcfg_entity_1.HostCfg)
], TargetDestinationHostcfg.prototype, "_hostcfg", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], TargetDestinationHostcfg.prototype, "hostcfg_id", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ name: 'created_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], TargetDestinationHostcfg.prototype, "createdAt", void 0);
exports.TargetDestinationHostcfg = TargetDestinationHostcfg = __decorate([
    (0, typeorm_1.Entity)({ name: 'target_destination_hostcfgs', synchronize: false })
], TargetDestinationHostcfg);
//# sourceMappingURL=targetDestinationHostcfg.entity.js.map