import { CallHandler, ExecutionContext, NestInterceptor } from '@nestjs/common';
import { User as UserEntity } from '@xormon/entity/user.entity';
import { Observable } from 'rxjs';
import { Repository } from 'typeorm';
export declare class UuidRequestInterceptor implements NestInterceptor {
    private usersRepository;
    constructor(usersRepository: Repository<UserEntity>);
    intercept(context: ExecutionContext, next: CallHandler): Promise<Observable<any>>;
}
