import { OnModuleInit } from '@nestjs/common';
export declare class MailService implements OnModuleInit {
    private backendLogger;
    private winstonLogger;
    private fs;
    private path;
    private nodemailer;
    private transporter;
    constructor();
    handleTransportStatus(): Promise<void>;
    isTransportSetUp(): boolean;
    onModuleInit(): Promise<void>;
    destroyTransport(): Promise<void>;
    verifyTransport(): Promise<void>;
    refreshTransport(change?: boolean): Promise<void>;
    send(mails: string[], subject: string, data: any, files?: any[], repeated?: boolean, plainText?: string): any;
}
