import { Repository } from 'typeorm';
import { ItemProperty } from '@xormon/entity/itemProperty.entity';
import { ItemRelation } from '@xormon/entity/itemRelation.entity';
import { ObjectItem } from '@xormon/entity/objectItem.entity';
export declare class MappingService {
    private objectItemsRepository;
    private itemPropertiesRepository;
    private itemRelationsRepository;
    constructor(objectItemsRepository: Repository<ObjectItem>, itemPropertiesRepository: Repository<ItemProperty>, itemRelationsRepository: Repository<ItemRelation>);
    findVm(id: string, label?: string): Promise<ObjectItem>;
    findVmwareVmByOsUuid(id: string): Promise<string>;
    findVmwareVm(id: string, label?: string): Promise<ObjectItem>;
    findPowerServerBySerial(serial: string): Promise<string>;
    findPowerVm(serverSerial: string, vmLabel: string): Promise<ObjectItem>;
}
