"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serverGroupAddClass1718091143800 = void 0;
const typeorm_1 = require("typeorm");
class serverGroupAddClass1718091143800 {
    constructor() {
        this.name = 'serverGroupAddClass1718091143800';
    }
    async up(queryRunner) {
        await queryRunner.query(`ALTER TABLE public.server_group ALTER COLUMN hw_type DROP NOT NULL;`);
        await queryRunner.query("ALTER TABLE public.server_group ALTER COLUMN hw_type SET DEFAULT NULL");
        await queryRunner.addColumn("server_group", new typeorm_1.TableColumn({
            name: "class",
            type: "varchar",
            isNullable: true
        }));
        await queryRunner.query("ALTER TABLE public.server_group ADD CONSTRAINT FK_f158ba7276802eac7773847dc86 FOREIGN KEY (class) REFERENCES public.classes(class) ON DELETE CASCADE");
    }
    async down(queryRunner) {
        await queryRunner.query("ALTER TABLE public.server_group DROP CONSTRAINT FK_f158ba7276802eac7773847dc86 FOREIGN KEY (class) REFERENCES public.classes(class) ON DELETE CASCADE");
        await queryRunner.dropColumn("server_group", "class");
        await queryRunner.query(`ALTER TABLE public.server_group ALTER COLUMN hw_type SET NOT NULL;`);
    }
}
exports.serverGroupAddClass1718091143800 = serverGroupAddClass1718091143800;
//# sourceMappingURL=1718091143800-serverGroupAddClass.migration.js.map