"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HcpMetricRename1718193763268 = void 0;
const DatabaseHelper_1 = require("../../config/DatabaseHelper");
class HcpMetricRename1718193763268 {
    constructor() {
        this.name = 'HcpMetricRename1718193763268';
    }
    async up(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_hcp_device', 'lun_util', 'lun_utilization', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_hcp_device', 'ingested', 'capacity_ingested', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_hcp_tenant', 'ingested', 'capacity_ingested', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_hcp_namespace', 'ingested', 'capacity_ingested', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_hcp_node', 'lun_util', 'lun_utilization', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_hcp_volume', 'lun_util', 'lun_utilization', queryRunner);
    }
    async down(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_hcp_device', 'lun_utilization', 'lun_util', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_hcp_device', 'capacity_ingested', 'ingested', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_hcp_tenant', 'capacity_ingested', 'ingested', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_hcp_namespace', 'capacity_ingested', 'ingested', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_hcp_node', 'lun_utilization', 'lun_util', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_hcp_volume', 'lun_utilization', 'lun_util', queryRunner);
    }
}
exports.HcpMetricRename1718193763268 = HcpMetricRename1718193763268;
//# sourceMappingURL=1718193763268-HcpMetricRename.migration.js.map