import "reflect-metadata";
export declare const requiredMetadataKey: unique symbol;
export declare const defaultValueMetadataKey: unique symbol;
export declare const arrayItemTypeMetadataKey: unique symbol;
export declare const enumTypeMetadataKey: unique symbol;
export declare const classMetadataKey: unique symbol;
export declare const descriptionMetadataKey: unique symbol;
export declare function ClassMetadata(target: any): void;
export declare function Required(target: any, propertyKey: string): void;
export declare function Unrequired(target: any, propertyKey: string): void;
export declare function DefaultValue(value: any): (target: any, propertyKey: string) => void;
export declare function Description(value: any): (target: any, propertyKey: string) => void;
export declare function ArrayItemType(itemType: any): (target: any, propertyKey: string) => void;
export declare function EnumType(enumType: any): (target: any, propertyKey: string) => void;
export declare function isRequired(target: any, propertyKey: string): boolean;
export declare function getDefaultValue(target: any, propertyKey: string): any;
export declare function getDescription(target: any, propertyKey: string): any;
export declare function getType(target: any, propertyKey: string): any;
export declare function getArrayItemType(target: any, propertyKey: string): any;
export declare function getEnumValues(target: any, propertyKey: string): any[];
