import { ObjectItem } from '@xormon/entity/objectItem.entity';
import { IMetric } from '@xormon/common/architecture.dto';
export declare class Item {
    private item_id;
    private item;
    private objectItemsRepository;
    constructor(item_id: string);
    getItem(): Promise<ObjectItem>;
    getLabel(): Promise<string>;
    findParent(parentHwType: string, parentSubsystem: string): Promise<any>;
    findChildren(childrenHwType: string, childrenSubsystem: string): Promise<any[]>;
    checkItem(): Promise<boolean>;
    static search(word: string, regex?: boolean, tag?: boolean): Promise<ObjectItem[]>;
    static getMetrics(itemIds: string[], exclude?: 'alerting' | 'customGroup' | 'exporter' | 'reporter'): Promise<IMetric[]>;
    static removeDeviceInfo(id: string): Promise<void>;
}
