interface UpgradeMessage {
    success: boolean;
    message: string;
}
export declare class Upgrade {
    static ROOT_PATH: string;
    static FILES_PATH: string;
    static TMP_PATH: string;
    static UPGRADE_TMP_PATH: string;
    static MIGRATION_PATH: string;
    static LOGS_PATH: string;
    private static fs;
    private static fse;
    private static tar;
    static logsToKeep: string[];
    static install(file: string, allowDowngrade?: boolean, rollback?: boolean, forced?: boolean): Promise<UpgradeMessage>;
    private static cleanUpgradeDir;
    private static runMigrations;
    private static cleanupLogs;
}
export {};
