import { CreateMailGroupDTO, MailGroup as MailGroupDTO } from "@xormon/common/mailGroup.dto";
import { MailGroup } from '@xormon/entity/mailGroup.entity';
import { Repository } from "typeorm";
export declare class MailGroupService {
    private mailGroupsRepository;
    constructor(mailGroupsRepository: Repository<MailGroup>);
    getMailGroups(userId?: number): Promise<MailGroup[]>;
    saveMailGroup(mail: CreateMailGroupDTO, userId?: number): Promise<MailGroup>;
    deleteMailGroup(mail_group_id: number): Promise<boolean>;
    updateMailGroup(mail_group_id: number, mail: MailGroupDTO): Promise<boolean>;
    checkMailGroupOwner(mail_group_id: number, user_id: number): Promise<boolean>;
}
