/// <reference types="multer" />
import { BasicResponseDTO } from "@xormon/common/basicResponse.dto";
import { CustomTaskDTO, CustomTaskResponseDTO, SingleCustomTaskResponseDTO } from "@xormon/common/customTask.dto";
import { CustomTaskService } from "./custom_task.service";
export declare class CustomTaskController {
    private readonly customTaskService;
    constructor(customTaskService: CustomTaskService);
    uploadCustomTaskFile(file: Express.Multer.File, customTaskDTO: CustomTaskDTO): Promise<SingleCustomTaskResponseDTO>;
    getAllCustomTasks(): Promise<CustomTaskResponseDTO>;
    updateCustomTask(customTaskDTO: CustomTaskDTO): Promise<SingleCustomTaskResponseDTO>;
    deleteCustomTask(id: string): Promise<BasicResponseDTO>;
}
