"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExporterModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const customGroup_entity_1 = require("../../entity/customGroup.entity");
const customGroupFolder_entity_1 = require("../../entity/customGroupFolder.entity");
const export_entity_1 = require("../../entity/export.entity");
const objectItem_entity_1 = require("../../entity/objectItem.entity");
const top_entity_1 = require("../../entity/top.entity");
const custom_group_module_1 = require("../custom_group/custom_group.module");
const exporter_controller_1 = require("./exporter.controller");
const exporter_service_1 = require("./exporter.service");
const itemGroup_entity_1 = require("../../entity/itemGroup.entity");
let ExporterModule = class ExporterModule {
};
exports.ExporterModule = ExporterModule;
exports.ExporterModule = ExporterModule = __decorate([
    (0, common_1.Module)({
        imports: [
            typeorm_1.TypeOrmModule.forFeature([customGroup_entity_1.CustomGroup, customGroupFolder_entity_1.CustomGroupFolder, objectItem_entity_1.ObjectItem, top_entity_1.Top, export_entity_1.Export, itemGroup_entity_1.ItemGroup]),
            custom_group_module_1.CustomGroupModule
        ],
        controllers: [exporter_controller_1.ExporterController],
        providers: [exporter_service_1.ExporterService],
        exports: [typeorm_1.TypeOrmModule],
    })
], ExporterModule);
//# sourceMappingURL=exporter.module.js.map