import { BasicResponseDTO } from '@xormon/common/basicResponse.dto';
import { Device, DevicesResponseDTO, HeatmapTierItem, TierBase, TierResponseDTO, TiersResponseDTO } from '@xormon/common/heatmap.dto';
import { HeatmapService } from './heatmap.service';
export declare class HeatmapController {
    private readonly heatmapService;
    constructor(heatmapService: HeatmapService);
    tiers(): Promise<TiersResponseDTO>;
    tier(heatmap_tier_id: string): Promise<TierResponseDTO>;
    updateTier(heatmap_tier_id: string, heatmap_tier: TierBase): Promise<TierResponseDTO>;
    deleteTier(heatmap_tier_id: string): Promise<BasicResponseDTO>;
    saveTier(heatmap_tier: TierBase): Promise<TierResponseDTO>;
    devices(): Promise<DevicesResponseDTO>;
    saveDevices(devices: Device[]): Promise<DevicesResponseDTO>;
    saveHeatmapTierItem(heatmapTierItems: HeatmapTierItem[]): Promise<BasicResponseDTO>;
}
