import { TableBox, TextBox } from "@xormon/common/pageResponse.dto";
import { Request } from "express";
export declare class ConfigurationTable {
    private fixedCols;
    private hwType;
    private subsystem;
    private itemIds;
    private items;
    private properties;
    private sumProperties;
    private parentSubsystems;
    private parentSubsystemsDefinition;
    private itemLabel;
    private sortIndex;
    private sortAsc;
    private sortString;
    private request;
    private group;
    private parentIdAccess;
    constructor(itemIds: string[], properties?: string[], parentSubsystems?: string[]);
    setFixedCols(fixedCols: number): void;
    setItemLabel(label: string): void;
    sortByColumn(index: number, sort: 'asc' | 'desc', isString?: boolean): void;
    setAcl(request: Request): this;
    setSumProperties(properties: string[]): void;
    setGroup(group: string): this;
    private loadItems;
    generate(): Promise<TableBox | TextBox>;
}
