import { Box } from "@xormon/common/pageResponse.dto";
import { IAvgMaxMetricItem } from "@xormon/service/metrics/MetricsWrapper";
import { Request } from "express";
export declare class CustomTop {
    private hwType;
    private subsystem;
    private metrics;
    private start;
    private end;
    private type;
    private parentsSubsystem?;
    private request?;
    private _class;
    private items;
    private itemLabel;
    private data;
    private metricsMetadata;
    constructor(hwType: string, subsystem: string, metrics: string[], start: number, end: number, type: 'avg' | 'max', parentsSubsystem?: string[], request?: Request);
    private loadItems;
    private loadMetricsData;
    fetchMetricsData(): Promise<void>;
    getData(): IAvgMaxMetricItem;
    genTable(): Promise<Box>;
    static generateRequestBox(hw_type: string, subsystem: string, metrics: string[], parentsSubsystem?: string[], pageLabel?: string): {
        type: "CustomTopBox";
        hw_type: string;
        subsystem: string;
        metrics: string[];
        parentsSubsystem: string[];
        pageLabel: string;
    };
}
