import { BasicResponseDTO } from "@xormon/common/basicResponse.dto";
import { HostCfgDTO, HostCfgResponseDTO, HostCfgsDefinitionResponseDTO, HostCfgsResponseDTO } from "@xormon/common/hostCfgResponse.dto";
import { ConfigurationService } from "@xormon/service/configuration/configuration.service";
import { HostCfgService } from "@xormon/service/configuration/hostCfg.service";
import { Request } from 'express';
export declare class HostcfgPublicController {
    private readonly hostCfgService;
    private readonly configurationService;
    constructor(hostCfgService: HostCfgService, configurationService: ConfigurationService);
    getHostCfg(_class?: string, hw_type?: string): Promise<HostCfgsResponseDTO>;
    getHostCfgDefinitions(): Promise<HostCfgsDefinitionResponseDTO>;
    getHostCfgDefinitionsHwType(hwType: string): Promise<HostCfgsDefinitionResponseDTO>;
    saveHostCfg(request: Request, hostcfg: HostCfgDTO, source?: string): Promise<HostCfgResponseDTO>;
    updateHostCfg(request: Request, hostcfg_id: string, hostcfg: HostCfgDTO): Promise<BasicResponseDTO>;
    deleteHostCfg(request: Request, hostcfg_id: string): Promise<BasicResponseDTO>;
}
