import { ServerGroupService } from "./serverGroup.service";
import { ItemsResponseDTO, ServerGroupDTO, ServerGroupResponseDTO, ServerGroupsResponseDTO } from "@xormon/common/serverGroup.dto";
import { Request } from "express";
import { BasicResponseDTO } from "@xormon/common/basicResponse.dto";
export declare class ServerGroupController {
    private readonly serverGroupService;
    constructor(serverGroupService: ServerGroupService);
    getServerGroups(request: Request, hw_types?: string, _class?: string): Promise<ServerGroupsResponseDTO>;
    getValidItems(hw_type?: string, _class?: string): Promise<ItemsResponseDTO>;
    createServerGroup(request: Request, server_group: ServerGroupDTO): Promise<ServerGroupResponseDTO>;
    updateServerGroup(request: Request, server_group_id: string, server_group: ServerGroupDTO): Promise<ServerGroupResponseDTO>;
    deleteServerGroup(request: Request, server_group_id: string): Promise<BasicResponseDTO>;
}
