"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenModule = void 0;
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const typeorm_1 = require("@nestjs/typeorm");
const acl_entity_1 = require("../../entity/acl.entity");
const adminGroup_entity_1 = require("../../entity/adminGroup.entity");
const class_entity_1 = require("../../entity/class.entity");
const group_entity_1 = require("../../entity/group.entity");
const objectItem_entity_1 = require("../../entity/objectItem.entity");
const user_entity_1 = require("../../entity/user.entity");
const userApiKey_entity_1 = require("../../entity/userApiKey.entity");
const acl_service_1 = require("../acl/acl.service");
const users_service_1 = require("../users/users.service");
const ldap_module_1 = require("../ldap/ldap.module");
const token_controller_1 = require("./token.controller");
let TokenModule = class TokenModule {
};
exports.TokenModule = TokenModule;
exports.TokenModule = TokenModule = __decorate([
    (0, common_1.Module)({
        imports: [
            config_1.ConfigModule,
            typeorm_1.TypeOrmModule.forFeature([user_entity_1.User, group_entity_1.Group, adminGroup_entity_1.AdminGroup, acl_entity_1.ACL, objectItem_entity_1.ObjectItem, class_entity_1.Class, userApiKey_entity_1.UserApiKey]),
            ldap_module_1.LdapModule
        ],
        controllers: [token_controller_1.TokenController],
        providers: [users_service_1.UsersService, acl_service_1.ACLService],
    })
], TokenModule);
//# sourceMappingURL=token.module.js.map