import { ObjectItem } from '@xormon/entity/objectItem.entity';
import { Top as TopEntity } from '@xormon/entity/top.entity';
import { Repository } from 'typeorm';
import { TargetDestination } from '@xormon/entity/targetDestination.entity';
import { TargetDestinationHostcfg } from '@xormon/entity/targetDestinationHostcfg.entity';
export declare class TopTask {
    private objectItemsRepository;
    private topRepository;
    private targetDestinationRepository;
    private targetDestinationHcfgRepository;
    private PAGE_LIMIT;
    constructor(objectItemsRepository: Repository<ObjectItem>, topRepository: Repository<TopEntity>, targetDestinationRepository: Repository<TargetDestination>, targetDestinationHcfgRepository: Repository<TargetDestinationHostcfg>);
    top(): Promise<void>;
    cleanupTop(): Promise<void>;
}
