"""
Methods to:
Find outlier (return index)
Remove outliers (specific changes on index)

TODO: change to np mapping methods

"""
import numpy as np
import pandas as pd
import model.tools as tools
import math

"""
TODO: add proper z-score
      add robust z-score of box-cox transformed data
"""
def activity_check(data, start):
    """
    Sometimes storage is unused. This function checks activity.
    """
    raw = data[-start:]

    if (tools.get_variance(raw) == 0):
        return 0
    return 1

def stripe_outlier_detection(data):
    """
    Uses stripe (some center (mean/median) +- k*sigma) to detect extreme values.
    To do this properly, it should be computed ideal k to remove false positives.
    """
    # input: time series
    # output: indexes OR clustered indexes? -> clustering is different procedure
    # get 3 sigma band and point out extremes
    median = np.median(data)

    sigma = np.std(data)

    indexes = []

    for i, data_point in enumerate(data):
        #if abs(data_point) > 3*sigma + mean:
        if abs(data_point - median) > 3*sigma:
            indexes.append(i)
            
    return indexes

def index_to_value(series, index, value):
    pass

def dull_outlier_cleaner(data, indexes):
    """
    This removes/modifies data on specified indexes.
    TODO: Add method to check proper value changes.
    """
    # outlier -> 0
    data_clean = []
    for value in data:
        data_clean.append(value)

    for index in indexes:
        data_clean[index]=0
        
    return data_clean

def positive_outlier():
    pass

def negative_outlier():
    pass

