"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextResponseDTO = exports.ArrayOfObjectResponseDTO = exports.ArrayResponseDTO = exports.BasicResponseDTO = void 0;
const openapi = require("@nestjs/swagger");
class BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { statusCode: { required: false, type: () => Number }, message: { required: false, type: () => String }, error: { required: false, type: () => String }, data: { required: false, type: () => Object } };
    }
}
exports.BasicResponseDTO = BasicResponseDTO;
class ArrayResponseDTO extends BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [String] } };
    }
}
exports.ArrayResponseDTO = ArrayResponseDTO;
class ArrayOfObjectResponseDTO extends BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [Object] } };
    }
}
exports.ArrayOfObjectResponseDTO = ArrayOfObjectResponseDTO;
class TextResponseDTO extends BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => String } };
    }
}
exports.TextResponseDTO = TextResponseDTO;
//# sourceMappingURL=basicResponse.dto.js.map