import { HwTypeKey } from "./hwTypeKey.constants";
export interface Device {
    label: string;
    helpUrl?: string;
    hwType?: HwTypeKey;
}
export interface Vendor {
    label: string;
    helpUrl: string;
    devices: Record<string, Device>;
}
export type Vendors = Record<string, Vendor>;
export declare const vendorsSan: Vendors;
export declare const vendorsLan: Vendors;
export declare const vendorsStorage: Vendors;
