"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HostCfgsDefinitionResponseDTO = exports.HostCfgsResponseDTO = exports.HostCfgResponseDTO = exports.TargetHostCfgDTO = exports.HostCfgDTO = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class HostCfgDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { hostcfg_id: { required: false, type: () => String }, label: { required: true, type: () => String }, hw_type: { required: true, type: () => String }, hw_type_label: { required: false, type: () => String }, disabled: { required: true, type: () => Boolean }, target: { required: false, type: () => Boolean }, ignore_health_status: { required: true, type: () => Boolean }, ignore_health_status_reason: { required: false, type: () => String }, limited: { required: false, type: () => Boolean }, data: { required: true, type: () => Object } };
    }
}
exports.HostCfgDTO = HostCfgDTO;
class TargetHostCfgDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { hostcfg_id: { required: false, type: () => String }, label: { required: true, type: () => String }, hw_type: { required: true, type: () => String }, data: { required: true, type: () => Object }, target: { required: false, type: () => Boolean } };
    }
}
exports.TargetHostCfgDTO = TargetHostCfgDTO;
class HostCfgResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./hostCfgResponse.dto").HostCfgDTO } };
    }
}
exports.HostCfgResponseDTO = HostCfgResponseDTO;
class HostCfgsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./hostCfgResponse.dto").HostCfgDTO] } };
    }
}
exports.HostCfgsResponseDTO = HostCfgsResponseDTO;
class HostCfgsDefinitionResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => Object } };
    }
}
exports.HostCfgsDefinitionResponseDTO = HostCfgsDefinitionResponseDTO;
//# sourceMappingURL=hostCfgResponse.dto.js.map