"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AmazonDataDescription = exports.AwsPropsOld = exports.AwsProps = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
var Intervals;
(function (Intervals) {
    Intervals[Intervals["ONE"] = 60] = "ONE";
    Intervals[Intervals["FIVE"] = 300] = "FIVE";
})(Intervals || (Intervals = {}));
class AwsProps extends deviceProps_1.PortBaseDeviceProps {
    constructor() {
        super(...arguments);
        this.host = 'aws.amazon.com';
        this.aws_access_key_id = undefined;
        this.aws_secret_access_key = undefined;
        this.regions = [''];
        this.available_regions = [''];
        this.interval = 300;
    }
}
exports.AwsProps = AwsProps;
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], AwsProps.prototype, "host", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], AwsProps.prototype, "aws_access_key_id", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], AwsProps.prototype, "aws_secret_access_key", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.ArrayItemType)(String),
    __metadata("design:type", Array)
], AwsProps.prototype, "regions", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    (0, hostcfg_metadata_1.ArrayItemType)(String),
    __metadata("design:type", Array)
], AwsProps.prototype, "available_regions", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.DefaultValue)(300),
    (0, hostcfg_metadata_1.EnumType)(Intervals),
    __metadata("design:type", Number)
], AwsProps.prototype, "interval", void 0);
class AwsPropsOld extends deviceProps_1.OldDeviceProps {
    constructor() {
        super(...arguments);
        this.host = 'aws.amazon.com';
    }
}
exports.AwsPropsOld = AwsPropsOld;
exports.AmazonDataDescription = {
    client: {
        required: true,
        type: "string",
    },
    aws_access_key_id: {
        required: true,
        type: "string",
    },
    aws_secret_access_key: {
        required: true,
        type: "string",
    },
    regions: {
        required: true,
        type: "string[]",
        description: "Array of regions where you have your resources"
    },
    available_regions: {
        required: false,
        type: "string[]",
        description: "Array of all regions, you can load these from the GUI device configuration"
    },
    ...deviceProps_1.BaseDeviceDescription
};
//# sourceMappingURL=aws.data.js.map