import { IHostcfgDataDescription, OldRestDeviceProps, RestDeviceProps } from "./deviceProps";
import { PROTO } from "./hostcfgData.types";
export declare enum ExportTool {
    REST = "rest",
    MANAGER = "manager"
}
export declare class VspgProps extends RestDeviceProps {
    node1Host: string;
    node2Host: string;
    svpHost: string;
    apiUsername: string;
    apiPassword: string;
    exportRadio: ExportTool;
    restProto: PROTO;
    hcmHost: string;
    hcmPort: number;
    hcmProto: PROTO;
    hcmDeviceId: string;
    cciHorcmFile: string;
    exportToolHome: string;
    device_uuid: string;
}
export declare class VspgPropsOld extends OldRestDeviceProps {
    "tierprice_fmd_ssd": string;
    "tierprice_ssd": string;
    "tierprice_sas_10k": string;
    "tierprice_sas_15k": string;
    "tierprice_sas_nl": string;
    "tierprice_currency": string;
    "snmp-host": string;
    "host-node": string;
}
export declare const VspgDataDescription: IHostcfgDataDescription;
