"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuGroupResponseDTO = exports.MenuGroupSubsystems = exports.MenuGroupDTO = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class MenuGroupDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { label: { required: true, type: () => String }, group_id: { required: false, type: () => String }, type: { required: false, enum: require("./menuGroup.dto").MenuGroupSubsystems } };
    }
}
exports.MenuGroupDTO = MenuGroupDTO;
var MenuGroupSubsystems;
(function (MenuGroupSubsystems) {
    MenuGroupSubsystems["MENUGROUP"] = "menugroup";
    MenuGroupSubsystems["SUBMENUGROUP"] = "submenugroup";
})(MenuGroupSubsystems || (exports.MenuGroupSubsystems = MenuGroupSubsystems = {}));
class MenuGroupResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => Object } };
    }
}
exports.MenuGroupResponseDTO = MenuGroupResponseDTO;
//# sourceMappingURL=menuGroup.dto.js.map