"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PredictionRequestDTO = exports.PredictionBase = exports.TimeseriesRequestDTO = void 0;
const openapi = require("@nestjs/swagger");
class TimeseriesRequestDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { uuid: { required: true, type: () => [String] }, metrics: { required: true, type: () => [String] }, start: { required: true, type: () => Number }, end: { required: true, type: () => Number }, func: { required: false, type: () => Object }, path: { required: false, type: () => String } };
    }
}
exports.TimeseriesRequestDTO = TimeseriesRequestDTO;
class PredictionBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { item_id: { required: true, type: () => String }, command: { required: true, type: () => String }, frequency: { required: true, type: () => String }, interval: { required: true, type: () => Object }, max: { required: true, type: () => Number } };
    }
}
exports.PredictionBase = PredictionBase;
class PredictionRequestDTO extends PredictionBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { metric: { required: true, type: () => String }, other_metrics: { required: true, type: () => [String] } };
    }
}
exports.PredictionRequestDTO = PredictionRequestDTO;
//# sourceMappingURL=timeseriesRequest.dto.js.map