import { DataSource } from "typeorm";
export declare const databaseConfiguration: () => Promise<{
    type: string;
    host: string;
    port: number;
    username: string;
    password: string;
    database: string;
    entities: string[];
    subscribers: string[];
    migrations: string[];
    synchronize: boolean;
    poolSize: number;
    extra: {
        max: number;
    };
}>;
export declare const createDataSource: () => Promise<void>;
export declare const getDataSource: () => DataSource;
