import { Audit } from './audit.entity';
export declare enum auditEventId {
    LOGIN = 1,
    LOGOUT = 2,
    HOSTCFG_ADD = 3,
    HOSTCFG_EDIT = 4,
    HOSTCFG_DELETE = 5,
    USER_ADD = 6,
    USER_EDIT = 7,
    USER_DELETE = 8,
    GROUP_ADD = 9,
    GROUP_EDIT = 10,
    GROUP_DELETE = 11,
    SETTINGS_UPDATE = 12,
    SETTINGS_DELETE = 13,
    PROXY_ADD = 14,
    PROXY_UPDATE = 15,
    PROXY_DELETE = 16,
    MICROSERVICE_START = 17,
    MICROSERVICE_STOP = 18,
    VARIABLE_ADD = 19,
    VARIABLE_UPDATE = 20,
    VARIALBE_DELETE = 21,
    IMPORTED_DEVICES = 22
}
export declare class AuditEvent {
    audit_event_id: string;
    label: string;
    text: string;
    audits: Audit[];
}
