"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomGroupFavorite = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const user_entity_1 = require("./user.entity");
const customGroup_entity_1 = require("./customGroup.entity");
let CustomGroupFavorite = class CustomGroupFavorite {
    static _OPENAPI_METADATA_FACTORY() {
        return { custom_group_id: { required: true, type: () => String }, _custom_group: { required: false, type: () => require("./customGroup.entity").CustomGroup }, user_id: { required: true, type: () => Number }, _user: { required: false, type: () => require("./user.entity").User } };
    }
};
exports.CustomGroupFavorite = CustomGroupFavorite;
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], CustomGroupFavorite.prototype, "custom_group_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => customGroup_entity_1.CustomGroup, (customGroup) => customGroup.favorites, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'custom_group_id' }),
    __metadata("design:type", customGroup_entity_1.CustomGroup)
], CustomGroupFavorite.prototype, "_custom_group", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", Number)
], CustomGroupFavorite.prototype, "user_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.User, (user) => user.favoriteCustomGroups, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'user_id' }),
    __metadata("design:type", user_entity_1.User)
], CustomGroupFavorite.prototype, "_user", void 0);
exports.CustomGroupFavorite = CustomGroupFavorite = __decorate([
    (0, typeorm_1.Entity)({ name: 'custom_group_favorites', synchronize: false })
], CustomGroupFavorite);
//# sourceMappingURL=customGroupFavorite.entity.js.map