import { DashboardType } from '../common/dashboard.dto';
import { DashboardFolder } from './dashboardFolder.entity';
import { DashboardGroup } from './dashboardGroup.entity';
import { User } from './user.entity';
import { Group } from './group.entity';
export declare class Dashboard {
    dashboard_id: string;
    label: string;
    width: number;
    parent: DashboardFolder;
    type: DashboardType;
    default: boolean;
    dashboard_groups: DashboardGroup[];
    user_id: number;
    created_by?: User;
    group_id: number;
    _group?: Group;
}
