"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HealthStatusHistory = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const objectItem_entity_1 = require("./objectItem.entity");
const healthStatus_entity_1 = require("./healthStatus.entity");
const hsVersion = 'v' + 1;
let HealthStatusHistory = class HealthStatusHistory {
    static _OPENAPI_METADATA_FACTORY() {
        return { health_status_history_id: { required: true, type: () => Number }, _item: { required: false, type: () => require("./objectItem.entity").ObjectItem }, item_id: { required: true, type: () => String }, status: { required: true, enum: require("./healthStatus.entity").Status }, reason: { required: false, type: () => String }, createdAt: { required: false, type: () => Date }, endedAt: { required: false, type: () => Date }, type: { required: true, enum: require("./healthStatus.entity").StatusType } };
    }
};
exports.HealthStatusHistory = HealthStatusHistory;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], HealthStatusHistory.prototype, "health_status_history_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem.health_status_history, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_id' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], HealthStatusHistory.prototype, "_item", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], HealthStatusHistory.prototype, "item_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'enum',
        enum: healthStatus_entity_1.Status,
        enumName: `hs_${hsVersion}`,
        default: healthStatus_entity_1.Status.UNKNOWN,
    }),
    __metadata("design:type", String)
], HealthStatusHistory.prototype, "status", void 0);
__decorate([
    (0, typeorm_1.Column)({
        nullable: true
    }),
    __metadata("design:type", String)
], HealthStatusHistory.prototype, "reason", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({
        name: 'created_at',
        type: 'timestamp with time zone'
    }),
    __metadata("design:type", Date)
], HealthStatusHistory.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.Column)({
        nullable: true,
        name: 'ended_at',
        type: 'timestamp with time zone'
    }),
    __metadata("design:type", Date)
], HealthStatusHistory.prototype, "endedAt", void 0);
__decorate([
    (0, typeorm_1.Column)({
        enum: healthStatus_entity_1.StatusType,
        enumName: `status_type`,
        default: 'health',
    }),
    __metadata("design:type", String)
], HealthStatusHistory.prototype, "type", void 0);
exports.HealthStatusHistory = HealthStatusHistory = __decorate([
    (0, typeorm_1.Entity)({ name: 'health_status_history', synchronize: false })
], HealthStatusHistory);
//# sourceMappingURL=healthStatusHistory.entity.js.map