"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HealthStatusMirrorRel = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const consistencyGroup_entity_1 = require("./consistencyGroup.entity");
const healthStatusMirror_entity_1 = require("./healthStatusMirror.entity");
const healthStatusMirror_constants_1 = require("../common/constants/healthStatusMirror.constants");
let HealthStatusMirrorRel = class HealthStatusMirrorRel {
    static _OPENAPI_METADATA_FACTORY() {
        return { source_vol_id: { required: true, type: () => String }, source_hostcfg_id: { required: true, type: () => String }, target_vol_id: { required: true, type: () => String }, target_hostcfg_id: { required: false, type: () => String }, system_name: { required: true, type: () => String }, remote_system_name: { required: true, type: () => String }, consistency_group_id: { required: false, type: () => String }, consistency_group_label: { required: false, type: () => String }, _sourceMirror: { required: false, type: () => require("./healthStatusMirror.entity").HealthStatusMirror }, _targetMirror: { required: false, type: () => require("./healthStatusMirror.entity").HealthStatusMirror }, _consistency_group: { required: false, type: () => require("./consistencyGroup.entity").ConsistencyGroup }, type_state: { required: true, type: () => String }, severity: { required: true, enum: require("../common/constants/healthStatusMirror.constants").Severity }, freeze_time: { required: false, type: () => Number }, progress: { required: false, type: () => Number }, createdAt: { required: false, type: () => Date }, updatedAt: { required: false, type: () => Date } };
    }
};
exports.HealthStatusMirrorRel = HealthStatusMirrorRel;
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], HealthStatusMirrorRel.prototype, "source_vol_id", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], HealthStatusMirrorRel.prototype, "source_hostcfg_id", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], HealthStatusMirrorRel.prototype, "target_vol_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], HealthStatusMirrorRel.prototype, "target_hostcfg_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], HealthStatusMirrorRel.prototype, "system_name", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], HealthStatusMirrorRel.prototype, "remote_system_name", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], HealthStatusMirrorRel.prototype, "consistency_group_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], HealthStatusMirrorRel.prototype, "consistency_group_label", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => healthStatusMirror_entity_1.HealthStatusMirror, (mr) => mr._source_rels, { onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)([
        { name: "source_vol_id", referencedColumnName: "vol_id" },
        { name: "source_hostcfg_id", referencedColumnName: "hostcfg_id" }
    ]),
    __metadata("design:type", healthStatusMirror_entity_1.HealthStatusMirror)
], HealthStatusMirrorRel.prototype, "_sourceMirror", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => healthStatusMirror_entity_1.HealthStatusMirror, (mr) => mr._target_rels, { onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)([
        { name: "target_vol_id", referencedColumnName: "vol_id" },
        { name: "target_hostcfg_id", referencedColumnName: "hostcfg_id" }
    ]),
    __metadata("design:type", healthStatusMirror_entity_1.HealthStatusMirror)
], HealthStatusMirrorRel.prototype, "_targetMirror", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => consistencyGroup_entity_1.ConsistencyGroup, (cg) => cg.mirrors, { onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)([
        { name: 'consistency_group_id', referencedColumnName: "consistency_group_id" },
        { name: 'consistency_group_label', referencedColumnName: "label" },
    ]),
    __metadata("design:type", consistencyGroup_entity_1.ConsistencyGroup)
], HealthStatusMirrorRel.prototype, "_consistency_group", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], HealthStatusMirrorRel.prototype, "type_state", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "int" }),
    __metadata("design:type", String)
], HealthStatusMirrorRel.prototype, "severity", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], HealthStatusMirrorRel.prototype, "freeze_time", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], HealthStatusMirrorRel.prototype, "progress", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ name: 'created_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], HealthStatusMirrorRel.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ name: 'updated_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], HealthStatusMirrorRel.prototype, "updatedAt", void 0);
exports.HealthStatusMirrorRel = HealthStatusMirrorRel = __decorate([
    (0, typeorm_1.Entity)({ name: 'health_status_mirror_rel', synchronize: false })
], HealthStatusMirrorRel);
//# sourceMappingURL=healthStatusMirrorRel.entity.js.map