import { HostcfgRelation } from './hostcfgRelation.entity';
import { HwType } from './hwType.entity';
import { MicroserviceVariables } from './microserviceVariables.entity';
import { TargetDestinationHostcfg } from './targetDestinationHostcfg.entity';
import { HostcfgStatus } from './hostcfgStatus.entity';
import { HealthStatusMirror } from './healthStatusMirror.entity';
export declare class HostCfg {
    hostcfg_id: string;
    label: string;
    hw_type_entity: HwType;
    hw_type: string;
    disabled: boolean;
    target: boolean;
    ignore_health_status: boolean;
    ignore_health_status_reason?: string;
    data: any;
    readonly createdAt?: Date;
    readonly updatedAt?: Date;
    relations?: HostcfgRelation[];
    destinations?: TargetDestinationHostcfg[];
    microserviceVariables?: MicroserviceVariables[];
    status?: HostcfgStatus;
    _health_status_mirrors?: HealthStatusMirror[];
}
