import { Class } from './class.entity';
import { HostCfg } from './hostcfg.entity';
import { Microservice } from './microservice.entity';
import { ObjectItem } from './objectItem.entity';
import { Subsystem } from './subsystem.entity';
import { CustomGroup } from './customGroup.entity';
import { MicroserviceVariables } from './microserviceVariables.entity';
import { Export } from './export.entity';
import { AlertingGroup } from './alertingGroup.entity';
import { ReportItem } from './reportItem.entity';
export declare class HwType {
    hw_type: string;
    label: string;
    _class?: Class;
    class: string;
    hw_type_order?: number;
    microservices?: Microservice[];
    hostcfgs?: HostCfg[];
    object_items?: ObjectItem[];
    subsystems?: Subsystem[];
    customGroups?: CustomGroup[];
    microserviceVariables?: MicroserviceVariables[];
    exports?: Export[];
    alertingGroups?: AlertingGroup[];
    report_items?: ReportItem[];
}
