"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HwType = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const class_entity_1 = require("./class.entity");
const hostcfg_entity_1 = require("./hostcfg.entity");
const microservice_entity_1 = require("./microservice.entity");
const objectItem_entity_1 = require("./objectItem.entity");
const subsystem_entity_1 = require("./subsystem.entity");
const customGroup_entity_1 = require("./customGroup.entity");
const microserviceVariables_entity_1 = require("./microserviceVariables.entity");
const export_entity_1 = require("./export.entity");
const alertingGroup_entity_1 = require("./alertingGroup.entity");
const reportItem_entity_1 = require("./reportItem.entity");
let HwType = class HwType {
    static _OPENAPI_METADATA_FACTORY() {
        return { hw_type: { required: true, type: () => String }, label: { required: true, type: () => String }, _class: { required: false, type: () => require("./class.entity").Class }, class: { required: true, type: () => String }, hw_type_order: { required: false, type: () => Number }, microservices: { required: false, type: () => [require("./microservice.entity").Microservice] }, hostcfgs: { required: false, type: () => [require("./hostcfg.entity").HostCfg] }, object_items: { required: false, type: () => [require("./objectItem.entity").ObjectItem] }, subsystems: { required: false, type: () => [require("./subsystem.entity").Subsystem] }, customGroups: { required: false, type: () => [require("./customGroup.entity").CustomGroup] }, microserviceVariables: { required: false, type: () => [require("./microserviceVariables.entity").MicroserviceVariables] }, exports: { required: false, type: () => [require("./export.entity").Export] }, alertingGroups: { required: false, type: () => [require("./alertingGroup.entity").AlertingGroup] }, report_items: { required: false, type: () => [require("./reportItem.entity").ReportItem] } };
    }
};
exports.HwType = HwType;
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], HwType.prototype, "hw_type", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], HwType.prototype, "label", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => class_entity_1.Class, (_class) => _class.hw_types, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'class' }),
    __metadata("design:type", class_entity_1.Class)
], HwType.prototype, "_class", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], HwType.prototype, "class", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: null }),
    __metadata("design:type", Number)
], HwType.prototype, "hw_type_order", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => microservice_entity_1.Microservice, (microservice) => microservice.hw_type_entity),
    __metadata("design:type", Array)
], HwType.prototype, "microservices", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => hostcfg_entity_1.HostCfg, (hostcfg) => hostcfg.hw_type_entity),
    __metadata("design:type", Array)
], HwType.prototype, "hostcfgs", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem.hw_type_entity),
    __metadata("design:type", Array)
], HwType.prototype, "object_items", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => subsystem_entity_1.Subsystem, (subsystem) => subsystem.hw_type_entity),
    __metadata("design:type", Array)
], HwType.prototype, "subsystems", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => customGroup_entity_1.CustomGroup, (customGroup) => customGroup._hw_type),
    __metadata("design:type", Array)
], HwType.prototype, "customGroups", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => microserviceVariables_entity_1.MicroserviceVariables, (microserviceVariable) => microserviceVariable._hw_type),
    __metadata("design:type", Array)
], HwType.prototype, "microserviceVariables", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => export_entity_1.Export, (exporter) => exporter._hw_type),
    __metadata("design:type", Array)
], HwType.prototype, "exports", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => alertingGroup_entity_1.AlertingGroup, (alertingGroup) => alertingGroup._hw_type),
    __metadata("design:type", Array)
], HwType.prototype, "alertingGroups", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => reportItem_entity_1.ReportItem, (reportItem) => reportItem._hw_type),
    __metadata("design:type", Array)
], HwType.prototype, "report_items", void 0);
exports.HwType = HwType = __decorate([
    (0, typeorm_1.Entity)({ name: 'hw_types', synchronize: false })
], HwType);
//# sourceMappingURL=hwType.entity.js.map