"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AwsEc2 = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.AwsEc2 = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_aws_ec2',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        'CPUUtilization': {
            type: 'float4',
            nullable: true,
        },
        'CpuCount': {
            type: 'float4',
            nullable: true,
        },
        'DiskReadBytes': {
            type: 'float4',
            nullable: true,
        },
        'DiskWriteBytes': {
            type: 'float4',
            nullable: true,
        },
        'DiskWriteOps': {
            type: 'float4',
            nullable: true,
        },
        'DiskReadOps': {
            type: 'float4',
            nullable: true,
        },
        'NetworkIn': {
            type: 'float4',
            nullable: true,
        },
        'NetworkOut': {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=awsEc2.entity.js.map