"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CohesityDevice = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const Compose_1 = require("./Compose");
let storage = 'cohesity';
let section = 'device';
let metricNames = [
    'read_io', 'write_io', 'io_rate',
    'read', 'write', 'data_rate',
    'resp_t', 'resp_t_r', 'resp_t_w',
    'capacity_total', 'capacity_used', 'capacity_used_percent',
    'capacity_free', 'capacity_data_in', 'capacity_data_written',
    'capacity_data_reduction', 'capacity_logical_usage', 'capacity_storage_consumed',
    'tmp0', 'tmp1', 'tmp2', 'tmp3',
    'tmp4', 'tmp5', 'tmp6', 'tmp7',
    'tmp8', 'tmp9', 'tmp10', 'tmp11',
    'tmp12', 'tmp13', 'tmp14', 'tmp15'
];
let coreObject = (0, Compose_1.prepareCoreObject)(storage, section, metricNames);
exports.CohesityDevice = new typeorm_1.EntitySchema(coreObject);
//# sourceMappingURL=cohesityDevice.entity.js.map