"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IbmcossVault = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.IbmcossVault = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_ibmcoss_vault',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        capacity_used: {
            type: 'float4',
            nullable: true,
        },
        rebuild_bytes_in: {
            type: 'float4',
            nullable: true,
        },
        rebuild_bytes_out: {
            type: 'float4',
            nullable: true,
        },
        rebuild_bytes_total: {
            type: 'float4',
            nullable: true,
        },
        rebuild_writes_in: {
            type: 'float4',
            nullable: true,
        },
        rebuild_writes_out: {
            type: 'float4',
            nullable: true,
        },
        rebuild_writes_total: {
            type: 'float4',
            nullable: true,
        },
        rebuild_deletes_in: {
            type: 'float4',
            nullable: true,
        },
        rebuild_deletes_out: {
            type: 'float4',
            nullable: true,
        },
        rebuild_deletes_total: {
            type: 'float4',
            nullable: true,
        },
        scanned_srcs: {
            type: 'float4',
            nullable: true,
        },
        client_in: {
            type: 'float4',
            nullable: true,
        },
        client_out: {
            type: 'float4',
            nullable: true,
        },
        client_total: {
            type: 'float4',
            nullable: true,
        },
        slicestor_in: {
            type: 'float4',
            nullable: true,
        },
        slicestor_out: {
            type: 'float4',
            nullable: true,
        },
        slicestor_total: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=ibmcossVault.entity.js.map