"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsilonCpu = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.IsilonCpu = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_isilon_cpu',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        cpu_system: {
            type: 'float4',
            nullable: true,
        },
        cpu_user: {
            type: 'float4',
            nullable: true,
        },
        cpu_busy: {
            type: 'float4',
            nullable: true,
        },
        cpu_idle: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=isilonCpu.entity.js.map