"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CmcServer = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const Compose_1 = require("./Compose");
let device = 'power';
let section = 'cmcserver';
let metricNames = [
    'proc_available', 'proc_installed',
    'mem_available', 'mem_installed',
    'base_anyoscores',
    'utilizedProcUnits', 'totalProcUnits',
    'base_memory',
    'base_core_any_os', 'base_core_linuxvios',
    'base_core_rhel', 'base_core_rhcos',
    'base_core_sles', 'base_core_aix',
    'base_core_ibmi',
    'core_aix', 'core_ibmi',
    'core_rhelcoreos', 'core_rhel',
    'core_sles', 'core_other_linux',
    'core_vios',
    'core_total',
    'mem_aix', 'mem_ibmi',
    'mem_rhelcoreos', 'mem_rhel',
    'mem_sles', 'mem_other_linux',
    'mem_vios',
    'mem_system_other',
    'mem_total',
    'tmp0', 'tmp1', 'tmp2', 'tmp3',
    'tmp4', 'tmp5', 'tmp6', 'tmp7'
];
let coreObject = (0, Compose_1.prepareCoreObject)(device, section, metricNames);
exports.CmcServer = new typeorm_1.EntitySchema(coreObject);
//# sourceMappingURL=powerCmcserver.entity.js.map