"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PowerVm = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.PowerVm = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_power_vm',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        logicalMem: {
            type: 'float4',
            nullable: true,
        },
        backedPhysicalMem: {
            type: 'float4',
            nullable: true,
        },
        maxVirtualProcessors: {
            type: 'int4',
            nullable: true,
        },
        currentVirtualProcessors: {
            type: 'int4',
            nullable: true,
        },
        entitledProcUnits: {
            type: 'float4',
            nullable: true,
        },
        idleProcUnits: {
            type: 'float4',
            nullable: true,
        },
        cpu_physical_cores: {
            type: 'float4',
            nullable: true,
        },
        maxProcUnits: {
            type: 'float4',
            nullable: true,
        },
        entitledProcUnitsPercent: {
            type: 'int2',
            nullable: true,
        },
        cpu_physical_percent: {
            type: 'int2',
            nullable: true,
        },
        assignedMem: {
            type: 'float4',
            nullable: true,
        },
        utilizedMem: {
            type: 'float4',
            nullable: true,
        },
        virtualPersistentMem: {
            type: 'float4',
            nullable: true,
        },
        cpu_utilization_cores: {
            type: 'float4',
            nullable: true,
        },
        cpu_utilization_percent: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        },
        tmp8: {
            type: 'float4',
            nullable: true,
        },
        tmp9: {
            type: 'float4',
            nullable: true,
        },
        tmp10: {
            type: 'float4',
            nullable: true,
        },
        tmp11: {
            type: 'float4',
            nullable: true,
        },
        tmp12: {
            type: 'float4',
            nullable: true,
        },
        tmp13: {
            type: 'float4',
            nullable: true,
        },
        tmp14: {
            type: 'float4',
            nullable: true,
        },
        tmp15: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=powerVm.entity.js.map