"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicroserviceData = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const microservice_entity_1 = require("./microservice.entity");
const hostcfg_entity_1 = require("./hostcfg.entity");
let MicroserviceData = class MicroserviceData {
    static _OPENAPI_METADATA_FACTORY() {
        return { _microservice: { required: false, type: () => require("./microservice.entity").Microservice }, microservice: { required: true, type: () => String }, _hostcfg: { required: false, type: () => require("./hostcfg.entity").HostCfg }, hostcfg_id: { required: true, type: () => String }, value: { required: true, type: () => Object } };
    }
};
exports.MicroserviceData = MicroserviceData;
__decorate([
    (0, typeorm_1.ManyToOne)(() => microservice_entity_1.Microservice, (microservice) => microservice.data, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'microservice' }),
    __metadata("design:type", microservice_entity_1.Microservice)
], MicroserviceData.prototype, "_microservice", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], MicroserviceData.prototype, "microservice", void 0);
__decorate([
    (0, typeorm_1.OneToOne)(() => hostcfg_entity_1.HostCfg, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'hostcfg_id' }),
    __metadata("design:type", hostcfg_entity_1.HostCfg)
], MicroserviceData.prototype, "_hostcfg", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], MicroserviceData.prototype, "hostcfg_id", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'jsonb' }),
    __metadata("design:type", Object)
], MicroserviceData.prototype, "value", void 0);
exports.MicroserviceData = MicroserviceData = __decorate([
    (0, typeorm_1.Entity)({ name: 'microservice_data', synchronize: false })
], MicroserviceData);
//# sourceMappingURL=microserviceData.entity.js.map