import { AlertingGroup } from './alertingGroup.entity';
import { AlertingLaunch } from './alertingLaunch.entity';
import { ItemGroupItem } from './itemGroupItem.entity';
import { ItemGroupParent } from './itemGroupParent.entity';
import { HealthStatus } from './healthStatus.entity';
import { HealthStatusHistory } from './healthStatusHistory.entity';
import { Heatmap } from './heatmap.entity';
import { HeatmapTierItem } from './heatmapTierItem.entity';
import { HostcfgRelation } from './hostcfgRelation.entity';
import { HwType } from './hwType.entity';
import { ItemProperty } from './itemProperty.entity';
import { ItemRelation } from './itemRelation.entity';
import { StorageGroupDevice } from './storageGroupDevice.entity';
import { StorageMapping } from './storageMapping.entity';
import { Top } from './top.entity';
import { HealthStatusMirror } from './healthStatusMirror.entity';
import { AgentMapping } from './agentMapping.entity';
import { ServerGroupItems } from './serverGroupItems.entity';
import { TagValueItem } from './tagValueItem.entity';
import { AlertingHistoryItem } from './alertingHistoryItem.entity';
export declare class ObjectItem {
    item_id: string;
    label: string;
    alias?: string;
    object_id: string;
    hw_type_entity?: HwType;
    hw_type: string;
    subsystem: string;
    hasAgent?: boolean;
    readonly createdAt?: Date;
    updatedAt?: Date;
    deletedAt?: Date;
    storage_group_devices?: StorageGroupDevice[];
    server_group_items?: ServerGroupItems[];
    mappings?: StorageMapping[];
    top?: Top[];
    properties?: ItemProperty[];
    children?: ItemRelation[];
    parents?: ItemRelation[];
    agent?: AgentMapping;
    agent_host?: AgentMapping;
    hostcfg_relations?: HostcfgRelation[];
    health_status?: HealthStatus;
    health_status_history?: HealthStatusHistory[];
    heatmaps?: Heatmap[];
    alerting_group_children?: AlertingGroup[];
    heatmap_tier_item?: HeatmapTierItem;
    alerting_launches?: AlertingLaunch[];
    item_group_items?: ItemGroupItem[];
    item_group_parents?: ItemGroupParent[];
    tag_value_items?: TagValueItem[];
    _mirrorItems?: HealthStatusMirror[];
    _alerting_history_items?: AlertingHistoryItem[];
}
