"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskQueue = void 0;
const openapi = require("@nestjs/swagger");
const taskQueue_constants_1 = require("../common/constants/taskQueue.constants");
const typeorm_1 = require("typeorm");
let TaskQueue = class TaskQueue {
    static _OPENAPI_METADATA_FACTORY() {
        return { id: { required: true, type: () => String }, type: { required: true, type: () => String }, payload: { required: false, type: () => Object }, status: { required: true, enum: require("../common/constants/taskQueue.constants").TaskStatus }, number_of_items: { required: false, type: () => Number }, priority: { required: true, type: () => Number }, createdAt: { required: false, type: () => Date }, scheduled_for: { required: false, type: () => Date }, started_at: { required: false, type: () => Date }, completed_at: { required: false, type: () => Date } };
    }
};
exports.TaskQueue = TaskQueue;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", String)
], TaskQueue.prototype, "id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], TaskQueue.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "jsonb" }),
    __metadata("design:type", Object)
], TaskQueue.prototype, "payload", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], TaskQueue.prototype, "status", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], TaskQueue.prototype, "number_of_items", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], TaskQueue.prototype, "priority", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ name: 'created_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], TaskQueue.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], TaskQueue.prototype, "scheduled_for", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], TaskQueue.prototype, "started_at", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], TaskQueue.prototype, "completed_at", void 0);
exports.TaskQueue = TaskQueue = __decorate([
    (0, typeorm_1.Entity)({ name: 'task_queue', synchronize: false, schema: "queue" })
], TaskQueue);
//# sourceMappingURL=taskQueue.entity.js.map