"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServerGRoup1714977723529 = void 0;
const typeorm_1 = require("typeorm");
class ServerGRoup1714977723529 {
    constructor() {
        this.name = 'ServerGRoup1714977723529';
    }
    async up(queryRunner) {
        await queryRunner.createTable(new typeorm_1.Table({
            name: "server_group",
            columns: [
                {
                    name: "server_group_id",
                    isPrimary: true,
                    type: "Varchar",
                    default: "uuid_generate_v4()"
                },
                {
                    name: "label",
                    type: "varchar",
                    isNullable: false
                },
                {
                    name: "description",
                    type: "varchar",
                    isNullable: true
                },
                {
                    name: "user_id",
                    type: "int4",
                    isNullable: true
                },
            ]
        }));
    }
    async down(queryRunner) {
        await queryRunner.dropTable("server_group");
    }
}
exports.ServerGRoup1714977723529 = ServerGRoup1714977723529;
//# sourceMappingURL=1714977723529-ServerGRoup.migration.js.map