"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchHistorySize1717570493568 = void 0;
class SearchHistorySize1717570493568 {
    constructor() {
        this.name = 'SearchHistorySize1717570493568';
    }
    async up(queryRunner) {
        await queryRunner.query(`UPDATE public.users SET configuration = jsonb_set(COALESCE(configuration, '{}')::jsonb, '{searchHistoryLimit}', '40'::jsonb, true) WHERE configuration IS NULL OR configuration::text NOT LIKE '%searchHistoryLimit%'`);
    }
    async down(queryRunner) {
        await queryRunner.query(`UPDATE public.users SET configuration = configuration - 'searchHistoryLimit'`);
    }
}
exports.SearchHistorySize1717570493568 = SearchHistorySize1717570493568;
//# sourceMappingURL=1717570493568-SearchHistorySize.migration.js.map