"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomGroupFavorite1722844567557 = void 0;
class CustomGroupFavorite1722844567557 {
    constructor() {
        this.name = 'CustomGroupFavorite1722844567557';
    }
    async up(queryRunner) {
        await queryRunner.query(`
        CREATE TABLE public.custom_group_favorites (
          custom_group_id uuid NOT NULL,
          user_id int4 NOT NULL,
          CONSTRAINT "PK_f6b428c8ad8f7873b4019bad575" PRIMARY KEY (custom_group_id, user_id)
        );

        ALTER TABLE public.custom_group_favorites ADD CONSTRAINT "FK_4df8bc225dfbdfe256c9a004de6" FOREIGN KEY (custom_group_id) REFERENCES public.custom_groups(custom_group_id) ON DELETE CASCADE;
        ALTER TABLE public.custom_group_favorites ADD CONSTRAINT "FK_a97639b31543f12d80053f85a86" FOREIGN KEY (user_id) REFERENCES public.users(user_id) ON DELETE CASCADE;
    `);
    }
    async down(queryRunner) {
        await queryRunner.query(`
      DROP TABLE public.custom_group_favorites;
    `);
    }
}
exports.CustomGroupFavorite1722844567557 = CustomGroupFavorite1722844567557;
//# sourceMappingURL=1722844567557-CustomGroupFavorite.migration.js.map