import { ParentRegex, ParentTag } from "@xormon/common/customGroup.dto";
import { ObjectItem } from '@xormon/entity/objectItem.entity';
export declare class ItemRegexWrapper {
    static getItemsByRegexParentsTag(parentTags: ParentTag[], hwTypeOrClass: string, subsystem: string, regex: string[], intersection?: boolean, withDeleted?: boolean): Promise<ObjectItem[]>;
    static getItemsByRegexParentsRegex(parentsRegex: ParentRegex[], hwTypeOrClass: string, subsystem: string, regex: string[], intersection?: boolean, withDeleted?: boolean): Promise<ObjectItem[]>;
    static getItemsByRegexParents(parents: string[], hwTypeOrClass: string, subsystem: string, regex: string[], intersection?: boolean, withDeleted?: boolean): Promise<ObjectItem[]>;
    static getItemsByRegex(hwTypeOrClass: string, subsystem: string, regex: string[], withDeleted?: boolean): Promise<ObjectItem[]>;
    static getItemsByRegexDevice(device_id: string, subsystem: string, regex: string[], withDeleted?: boolean): Promise<ObjectItem[]>;
    static getClassHwTypes(_class: string): string[];
    static isAnyAlias(): Promise<boolean>;
}
