"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomGroupModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const customGroup_entity_1 = require("../../entity/customGroup.entity");
const customGroupFolder_entity_1 = require("../../entity/customGroupFolder.entity");
const objectItem_entity_1 = require("../../entity/objectItem.entity");
const architecture_module_1 = require("../architecture/architecture.module");
const custom_group_controller_1 = require("./custom_group.controller");
const custom_group_service_1 = require("./custom_group.service");
const customGroupFavorite_entity_1 = require("../../entity/customGroupFavorite.entity");
let CustomGroupModule = class CustomGroupModule {
};
exports.CustomGroupModule = CustomGroupModule;
exports.CustomGroupModule = CustomGroupModule = __decorate([
    (0, common_1.Module)({
        imports: [
            typeorm_1.TypeOrmModule.forFeature([customGroup_entity_1.CustomGroup, customGroupFolder_entity_1.CustomGroupFolder, objectItem_entity_1.ObjectItem, customGroupFavorite_entity_1.CustomGroupFavorite]),
            architecture_module_1.ArchitectureModule
        ],
        controllers: [custom_group_controller_1.CustomGroupController],
        providers: [custom_group_service_1.CustomGroupService],
        exports: [custom_group_service_1.CustomGroupService],
    })
], CustomGroupModule);
//# sourceMappingURL=custom_group.module.js.map