"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DashboardModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const customGroup_entity_1 = require("../../entity/customGroup.entity");
const customGroupFolder_entity_1 = require("../../entity/customGroupFolder.entity");
const dashboard_entity_1 = require("../../entity/dashboard.entity");
const dashboardFolder_entity_1 = require("../../entity/dashboardFolder.entity");
const dashboardGraph_entity_1 = require("../../entity/dashboardGraph.entity");
const dashboardGroup_entity_1 = require("../../entity/dashboardGroup.entity");
const hostcfg_entity_1 = require("../../entity/hostcfg.entity");
const hwType_entity_1 = require("../../entity/hwType.entity");
const objectItem_entity_1 = require("../../entity/objectItem.entity");
const storageGroup_entity_1 = require("../../entity/storageGroup.entity");
const subsystem_entity_1 = require("../../entity/subsystem.entity");
const architecture_module_1 = require("../architecture/architecture.module");
const custom_group_module_1 = require("../custom_group/custom_group.module");
const menu_module_1 = require("../menu/menu.module");
const dashboard_controller_1 = require("./dashboard.controller");
const dashboard_service_1 = require("./dashboard.service");
let DashboardModule = class DashboardModule {
};
exports.DashboardModule = DashboardModule;
exports.DashboardModule = DashboardModule = __decorate([
    (0, common_1.Module)({
        imports: [
            typeorm_1.TypeOrmModule.forFeature([
                dashboard_entity_1.Dashboard,
                dashboardFolder_entity_1.DashboardFolder,
                dashboardGroup_entity_1.DashboardGroup,
                dashboardGraph_entity_1.DashboardGraph,
                objectItem_entity_1.ObjectItem,
                hwType_entity_1.HwType,
                hostcfg_entity_1.HostCfg,
                subsystem_entity_1.Subsystem,
                customGroup_entity_1.CustomGroup,
                customGroupFolder_entity_1.CustomGroupFolder,
                storageGroup_entity_1.StorageGroup,
            ]),
            architecture_module_1.ArchitectureModule,
            custom_group_module_1.CustomGroupModule,
            menu_module_1.MenuModule,
            custom_group_module_1.CustomGroupModule
        ],
        controllers: [dashboard_controller_1.DashboardController],
        providers: [dashboard_service_1.DashboardService],
        exports: [dashboard_service_1.DashboardService],
    })
], DashboardModule);
//# sourceMappingURL=dashboard.module.js.map