import { DefaultFolder, DefaultPage } from "./MenuDefinitions";
import { ChartType, Page, MetricAggregate } from '@xormon/common/pageResponse.dto';
export declare namespace As400 {
    class Folder extends DefaultFolder {
        hwType: string;
    }
    export class RootFolder extends Folder {
        getChildren(): Promise<any[]>;
    }
    class As400Page extends DefaultPage {
        hwType: string;
    }
    export class ServerPage extends As400Page {
        subsystem: string;
        getPage(): Promise<Page>;
    }
    export class As400Metrics {
        static Metric: {
            new (subsystem: string, metric: string): {
                getGraph(type: ChartType, stacked?: boolean, order?: number, color?: string): any;
                getAggrGraph(type: ChartType, stacked?: boolean, order?: number, aggregate?: MetricAggregate): any;
                type: ChartType;
                stacked: boolean;
                metric: string;
                order: number;
                aggregate?: MetricAggregate;
                unit: import("../../../common/subsystemMetricsResponse.dto").Unit;
                unitLabel?: string;
                shortcut: string;
                label?: string;
                color?: string;
                defaultPrefix?: import("@xormon/common/pageResponse.dto").UnitPrefix;
                defaultPrecision?: number;
                minY?: number;
                legendTop?: boolean;
                legendOnly?: boolean;
            };
        };
    }
    export {};
}
