"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicroserviceJobIntervalService = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const microserviceJobs_entity_1 = require("../../entity/microserviceJobs.entity");
const typeorm_2 = require("typeorm");
let MicroserviceJobIntervalService = class MicroserviceJobIntervalService {
    constructor(microservicesJobsRepository) {
        this.microservicesJobsRepository = microservicesJobsRepository;
    }
    async updateInterval(microservice, job, interval) {
        let update = await this.microservicesJobsRepository.createQueryBuilder()
            .update()
            .set({
            interval: interval
        })
            .where("microservice = :microservice and job = :job", {
            microservice: microservice,
            job: job
        })
            .execute();
        return update.affected && update.affected > 0 ? true : false;
    }
    async resetInterval(microserviceJob) {
        return await this.updateInterval(microserviceJob.microservice, microserviceJob.job, microserviceJob.interval);
    }
};
exports.MicroserviceJobIntervalService = MicroserviceJobIntervalService;
exports.MicroserviceJobIntervalService = MicroserviceJobIntervalService = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, typeorm_1.InjectRepository)(microserviceJobs_entity_1.MicroserviceJob)),
    __metadata("design:paramtypes", [typeorm_2.Repository])
], MicroserviceJobIntervalService);
//# sourceMappingURL=microserviceJobInterval.service.js.map