declare const _default: {
    longStringHandler: {
        pageWidth: number;
    };
    graph: {
        format: string;
        width: number;
        height: number;
        pngWidth: number;
        pngHeight: number;
    };
    graphSummary: {
        maxItems: number;
        columns: number;
        labelMaxLength: number;
    };
    pdfMake: {
        docDefinition: {
            styles: {
                h1: {
                    fontSize: number;
                    bold: boolean;
                    margin: number[];
                };
                h2: {
                    fontSize: number;
                    bold: boolean;
                    margin: number[];
                };
                h3: {
                    fontSize: number;
                    bold: boolean;
                    italics: boolean;
                    margin: number[];
                };
                h4: {
                    fontSize: number;
                    bold: boolean;
                    italics: boolean;
                    margin: number[];
                };
                title: {
                    fontSize: number;
                    bold: boolean;
                    marginBottom: number;
                    fillColor: string;
                    color: string;
                    margin: number[];
                };
                caption: {
                    bold: boolean;
                    fontSize: number;
                    margin: number[];
                };
                generatedAt: {};
                textItem: {
                    fontSize: number;
                };
                tableHeader: {
                    color: string;
                    fillColor: string;
                    hLineColor: () => string;
                    vLineColor: () => string;
                    bold: boolean;
                };
                tableItemLabel: {
                    bold: boolean;
                };
                tableItemValue: {};
                tableItemNoValue: {};
                graphSummaryItemLabel: {
                    bold: boolean;
                };
                graphMoreItemsNote: {
                    bold: boolean;
                    italics: boolean;
                };
                error: {
                    bold: boolean;
                    fontSize: number;
                    color: string;
                    margin: number[];
                };
            };
            defaultStyle: {
                fontSize: number;
            };
            pageMargins: number[];
        };
        tableLayouts: {
            standardTableLayout: {
                hLineWidth: () => number;
                vLineWidth: () => number;
                hLineColor: () => string;
                vLineColor: () => string;
            };
        };
        addPageNumberFooter: boolean;
        useFontDefinition: any;
        fontDefinitions: {
            standardFonts: {
                Courier: {
                    normal: string;
                    bold: string;
                    italics: string;
                    bolditalics: string;
                };
                Helvetica: {
                    normal: string;
                    bold: string;
                    italics: string;
                    bolditalics: string;
                };
                Times: {
                    normal: string;
                    bold: string;
                    italics: string;
                    bolditalics: string;
                };
                Symbol: {
                    normal: string;
                };
                ZapfDingbats: {
                    normal: string;
                };
            };
        };
    };
};
export default _default;
