import { RecentlySearchedResponseDTO } from "@xormon/common/recentlySearched.dto";
import { User as UserEntity } from '@xormon/entity/user.entity';
export declare class RecentlySearchedWrapper {
    constructor();
    static MAX_SIZE: number;
    getRecentlySearched(user_id?: string, limit?: number): Promise<RecentlySearchedResponseDTO>;
    getAllRecentlySearched(): Promise<RecentlySearchedResponseDTO>;
    addRecentlySearched(user_id: string, search_query: string): Promise<[string, string]>;
    deleteRecentlySearched(user_id: string, search_query: string): Promise<[string, string]>;
    findRecentlySearched(user_id: string, search_query: string): Promise<RecentlySearchedResponseDTO>;
    findRecentlySearchedById(recent_search_id: string): Promise<RecentlySearchedResponseDTO>;
    deleteRecentlySearchedById(recent_search_id: string): Promise<string>;
    deleteAllRecentlySearched(): Promise<void>;
    static getUserById(userId: number): Promise<UserEntity>;
}
