"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UsersSubscriber = void 0;
const user_entity_1 = require("../entity/user.entity");
const typeorm_1 = require("typeorm");
let UsersSubscriber = class UsersSubscriber {
    listenTo() {
        return user_entity_1.User;
    }
    async beforeInsert(event) {
        event.entity.created = new Date().toISOString();
        event.entity.updated = new Date().toISOString();
    }
    async beforeUpdate(event) {
        event.entity.updated = new Date().toISOString();
    }
};
exports.UsersSubscriber = UsersSubscriber;
exports.UsersSubscriber = UsersSubscriber = __decorate([
    (0, typeorm_1.EventSubscriber)()
], UsersSubscriber);
//# sourceMappingURL=users.subscriber.js.map